Package de.willuhn.jameica.hbci.gui.chart

# Class BarChart

java.lang.Object
de.willuhn.jameica.hbci.gui.chart.AbstractChart
de.willuhn.jameica.hbci.gui.chart.BarChart

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`, `Chart`

public class BarChart extends AbstractChart
Implementierung eines Balken-Diagramms.

## Constructor Summary

Constructors
Constructor
Description
`BarChart()`

## Method Summary

Modifier and Type
Method
Description
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`redraw()`
Zeichnet das Chart neu.

### Methods inherited from class de.willuhn.jameica.hbci.gui.chart.AbstractChart

`addData, addFeature, getChart, getTitle, removeAllData, removeData, removeFeature, setChart, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BarChart

public BarChart()

## Method Details

### redraw

public void redraw() throws RemoteException
Description copied from interface: `Chart`
Zeichnet das Chart neu. Ist eigentlich nur noetig, wenn sich die Daten tatsaechlich geaendert haben.

Throws:
  `RemoteException`
See Also:
  - `Chart.redraw()`

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Overrides:
  `paint` in class `AbstractChart`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`